builder.hpp File Reference
`#include <algorithm>`
`#include <cassert>`
`#include <cstddef>`
`#include <cstdint>`
`#include <cstring>`
`#include <new>`
`#include <string>`
`#include <type_traits>`
`#include <osmium/memory/buffer.hpp>`
`#include <osmium/memory/item.hpp>`
`#include <osmium/osm/types.hpp>`
`#include <osmium/util/cast.hpp>`
Include dependency graph for builder.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | osmium::builder::Builder
class | osmium::builder::ObjectBuilder< TItem >

## Namespaces

| osmium
| Namespace for everything in the Osmium library.
| osmium::builder
| Classes for building OSM objects and other items in buffers.